using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JiShe.CollectBus.Common.Enums
{
    /// <summary>
    /// 遥测数据包类型枚举
    /// </summary>
    public enum TelemetryPacketTypeEnum
    {
        /// <summary>
        /// 1分钟密度
        /// </summary>
        [Description("1分钟密度")]
        AmmeterOneMinute = 1,

        /// <summary>
        /// 5分钟密度
        /// </summary>
        [Description("5分钟密度")]
        AmmeterMeterFiveMinute = 5,

        /// <summary>
        /// 15分钟密度
        /// </summary>
        [Description("15分钟密度")]
        AmmeterFifteenMinute = 15,

        /// <summary>
        /// 自动校时
        /// </summary>
        [Description("自动校时")]
        AmmeterAutomaticVerificationTime = 16,

        /// <summary>
        /// 日冻结
        /// </summary>
        [Description("日冻结")]
        AmmeterDayFreeze = 17,

        /// <summary>
        /// 月冻结
        /// </summary>
        [Description("月冻结")]
        AmmeterMonthFreeze = 18,

        /// <summary>
        /// 自动阀控
        /// </summary>
        [Description("自动阀控")]
        AmmeterAutoValveControl = 19,

        /// <summary>
        /// 集中器终端版本
        /// </summary>
        [Description("集中器终端版本")]
        TerminalVersion = 20,

        /// <summary>
        /// 集中器通信模块SIM
        /// </summary>
        [Description("集中器通信模块SIM")]
        TelematicsModule = 21,

        /// <summary>
        /// 水表抄读
        /// </summary>
        [Description("水表抄读")]
        WatermeterAutoReadding = 22,
    }
}
